Page MenuHomeFreeBSD

Add PNP info to PCI attachment of alc, amdsmb, bfe, bge, ce, dpt, dc, ciss, cp drivers
ClosedPublic

Authored by lakhanshiva_gmail.com on Jun 24 2018, 10:14 AM.

Diff Detail

Repository
rS FreeBSD src repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

lakhanshiva_gmail.com retitled this revision from Summary: Add PNP info to PCI attachment of alc driver to Add PNP info to PCI attachment of alc, amdsmb, bfe, bge, ce, dpt, dc, ciss, cp drivers.Jun 24 2018, 10:16 AM
lakhanshiva_gmail.com edited the summary of this revision. (Show Details)
chuck requested changes to this revision.Jun 24 2018, 1:16 PM
chuck added inline comments.
sys/dev/amdsmb/amdsmb.c
151 ↗(On Diff #44383)

style nit, space between key word (if) and open parenthesis. Also needed on either side of comparator above (i.e. i < nitems(amdsmb_devs). Please fix here and check all other code modifications for this type of error.

sys/dev/bfe/if_bfe.c
160 ↗(On Diff #44383)

Should this have a description? If so, please fix here and check other code changes for this type of issue.

sys/dev/ciss/ciss.c
207 ↗(On Diff #44383)

Instead of moving this whole block below the ciss_vendor_data[] definitions, is it possible to only move the DRIVER_MODULE() and perhaps the MODULE_DEPEND() definitions to coincide with the new MODULE_PNP_INFO?

This revision now requires changes to proceed.Jun 24 2018, 1:16 PM

Thanks Chuck, I will make the changes.

imp added a comment.Jun 24 2018, 7:06 PM

Please see https://reviews.freebsd.org/D15999 for a notion on how we might want to cut over the medium drivers to being table driven.

If I m not wrong this approach is specifically for the atheros drivers.
Isn't it ?

imp added a comment.Jun 25 2018, 3:33 AM

If I m not wrong this approach is specifically for the atheros drivers.
Isn't it ?

Why yes. Yes it is.

Or rather, it's inspired by it. And by the USB stuff, and by what Linux does. And it also takes a page from PC Card, where it's possible to have more complicated meta-data associated with the device than is otherwise allowed with the USB pattern.

  • Update PNP info to PCI attachment of amdsmb driver
  • Update PNP info to PCI attachments of bfe driver
  • Update PNP info to PCI attachment of ce driver
  • Update PNP info to PCI attachment of dpt driver
  • Update PNP info for PCI attachment of cp driver
lakhanshiva_gmail.com marked 2 inline comments as done.Jun 29 2018, 2:34 AM
  • Update PNP info to PCI attachments of ciss driver
lakhanshiva_gmail.com marked an inline comment as done.Jun 29 2018, 2:42 AM

Thanks for the comments chuck! Made the changes.

lakhanshiva_gmail.com edited the summary of this revision. (Show Details)Jun 29 2018, 3:25 AM
lakhanshiva_gmail.com updated this revision to Diff 44618.
lakhanshiva_gmail.com edited the summary of this revision. (Show Details)Jul 1 2018, 11:01 AM
lakhanshiva_gmail.com updated this revision to Diff 44715.
  • Update PNP info to PCI attachment of amdsmb driver
lakhanshiva_gmail.com edited the summary of this revision. (Show Details)EditedJul 3 2018, 4:35 PM
lakhanshiva_gmail.com updated this revision to Diff 44811.

Converted spaces to tabs (in probe functions)

chuck added inline comments.Jul 4 2018, 8:31 PM
sys/dev/dpt/dpt_pci.c
84 ↗(On Diff #44811)

This line still appears to uses spaces

lakhanshiva_gmail.com marked an inline comment as done.Jul 5 2018, 1:05 AM
lakhanshiva_gmail.com added inline comments.
sys/dev/dpt/dpt_pci.c
84 ↗(On Diff #44811)

Converted them to tabs

lakhanshiva_gmail.com marked 2 inline comments as done.Jul 5 2018, 1:05 AM
This revision was not accepted when it landed; it landed in state Needs Review.Jul 8 2018, 8:40 PM
This revision was automatically updated to reflect the committed changes.